import { Camera, Scene, Texture } from 'three';
import { BaseSpecklePass, SpecklePass } from './SpecklePass';
export declare class ColorPass extends BaseSpecklePass implements SpecklePass {
    private camera;
    private scene;
    private overrideMaterial;
    private _oldClearColor;
    private clearColor;
    private clearAlpha;
    private clearDepth;
    onBeforeRenderOpauqe: () => void;
    onAfterRenderOpaque: () => void;
    onBeforeRenderTransparent: () => void;
    onAfterRenderTransparent: () => void;
    constructor();
    get displayName(): string;
    get outputTexture(): Texture;
    update(scene: Scene, camera: Camera): void;
    render(renderer: any, writeBuffer: any, readBuffer: any): void;
}
